For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prompt Categories

Query prompt categories.

get

Supports non-CRUD reads, such as finding an unused category colour for a prompt.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
promptObjectIdentifierstring · uuidOptional
unusedColourbooleanOptionalDefault: false
Responses
200

OK

string · enumOptionalPossible values:
get/projects/{projectIdentifier}/prompt-categories
GET /projects/{projectIdentifier}/prompt-categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
primary

Create a prompt category.

post

Creates a new named, coloured prompt category within the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
namestring · min: 1Required
colourstring · enumOptionalPossible values:
promptObjectIdentifierstring · uuidOptional
resourceOwnerIdstring · nullableOptional
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
post/projects/{projectIdentifier}/prompt-categories
POST /projects/{projectIdentifier}/prompt-categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "name": "text",
  "colour": "primary",
  "promptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "resourceOwnerId": "text"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "colour": "primary"
}

Get a prompt category by id.

get

Returns the prompt category identified by its GUID within the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
get/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
GET /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "colour": "primary"
}

Update a prompt category.

put

Updates the name and colour of an existing prompt category in the project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · min: 1Required
colourstring · enumOptionalPossible values:
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
put/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
PUT /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "name": "text",
  "colour": "primary"
}
{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "colour": "primary"
}

Delete a prompt category.

delete

Permanently removes the specified prompt category from the project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
DELETE /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated